
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>mongodb连接失败原因排查 / 憋错料</title>

    <meta name="description" content="mongodb连接失败原因排查 安装了mongodb,添加了管理员root和test数据库的用户rex,并且开启的用户认证. 按照说明文档连接mongodb数据库:$mongo = new Mongo(&quot;mongodb://rex:[email protected]&quot;); 结果开启firebug之后发现报错:&quot;NetworkError: 500 Internal Server Error - http://192.168.202.132/montest.php&quot; 在这里尝试了很多方法都无 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">mongodb连接失败原因排查</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>安装了mongodb，添加了管理员root和test数据库的用户rex，并且开启的用户认证。</p>
<p>按照说明文档连接mongodb数据库：$mongo = new Mongo(&quot;mongodb://rex:[email&#160;protected]&quot;);</p>
<p>结果开启firebug之后发现报错：&quot;NetworkError: 500 Internal Server Error - http://192.168.202.132/montest.php&quot;</p>
<p>在这里尝试了很多方法都无法解决，也不清楚为什么出了错，只能再看一遍php的官方文档（http://php.net/manual/zh/mongoclient.construct.php）</p>
<p>偶然看到这么一句：如果给出的主机都无法连接，将会抛出 <a href="http://php.net/manual/zh/class.mongoconnectionexception.php" rel="external nofollow noreferrer">MongoConnectionException</a> 异常。</p>
<p>于是我开始尝试打印这个异常：</p>
<pre>try {
  $mongo = new Mongo(&quot;mongodb://rex:[email&#160;protected]&quot;);
} catch (Exception $e) {
  print $e-&gt;getMessage();
  exit();
} </pre>
<p>输出结果是：Failed to connect to: localhost:27017: Authentication failed on database ‘admin‘ with username ‘rex‘: auth failed</p>
<p>一看便知：rex是test数据库的用户，可是代码确实默认连接数据库admin，问题就出在这里！</p>
<p>于是改成：$mongo = new Mongo(&quot;mongodb://rex:[email&#160;protected]/test&quot;);</p>
<p>问题解决！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 13:00:06 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e9%97%ae%e9%a2%98/" title="问题">问题</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.biecuoliao.com/tag/2014/" title="2014">2014</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>mongodb连接失败原因排查的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEwWOQ3.html" rel="bookmark">单板注册失败原因排查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				步骤如下: 一.看是不是在单板注册时间内 二.看设备是否上电 就是在power on slot ?,看是否显示Null,如果是的话,就是都注册上电了 三.备用主控板的系统的大包和主用主控板不一致 display startup 查看主用主控板的系统大包 PC连接备用主控板的CONSOLE口,查看备用主控板的系统大包是否和主用主控板的一致 解决系统大包不一致的步骤: 1.board-channel-check diable 2.设备通过FTP服务器将软件升级到一致 而升级是通过boot ROM模式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xngAj4.html" rel="bookmark">iOS 应用安装失败原因排查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 iOS 的内测应用在安装时,很多人都遇到过安装失败的情况,安装失败的原因比较多,下面我们将一些常见原因总结如下,方便开发者进行排查. 应用安装过程中提示&quot;无法下载应用程序&quot; 原因一:在导出 iOS App 的安装包文件(.ipa文件)时,选择了 App-Store 方式. ... 原因二:在导出 iOS App 的安装包文件(.ipa文件)时,选择了 Ad-hoc 方式,但是没有添加设备 UDID. ... 原因三:在导出 iOS App 的安装包文件(.ipa文件)时,选择了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzQVwO4.html" rel="bookmark">storm初始化Bolt实例&comma;spring bean绑定失败原因排查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				public static final String METRICS_AGGREGATE_PERIOD_MILLISECONDS = &quot;metrics.storm.aggregate.period.milliseconds&quot;; @Value(&quot;${&quot; + METRICS_AGGREGATE_PERIOD_MILLISECONDS + &quot;}&quot;) private long metricsAggregateIntervalMilliSeconds; 上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qbjKD4.html" rel="bookmark">mac 修改mysql 密码， navicat 连接失败原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.cd /usr/local/mysql/bin/?2.sudo su输入之后会要求输入你的计算机密码,输入的时候是什么都不显示的,输完后回车 3. ./mysqld_safe --skip-grant-tables &amp;这一步的作用是跨过权限验证? 4../mysql -u root 用另一窗口以root身份登录,因为第三步的原因不需要密码了. 5. update user set authentication_string='root123' where User='root';? Navi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jrL6e0.html" rel="bookmark">正在连接localhost&period;&period;&period;无法打开到主机的连接。 在端口 8080&colon; 连接失败</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在cmd中用telnet连接tomcat,出现了&quot;正在连接localhost...无法打开到主机的连接. 在端口 8080: 连接失败&quot;原因是我的tomcat是绿色版的,没有安装. 解决办法是:在Eclipse中将tomcat启动.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35mLJR3.html" rel="bookmark">正在连接localhost&period;&period;&period;无法打开到主机的连接。 在port 8080&colon; 连接失败</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				? 在cmd中用telnet连接tomcat,出现了&quot;正在连接localhost...无法打开到主机的连接. 在port 8080: 连接失败&quot;原因是我的tomcat是绿色版的,没有安装. 解决的方法是:在Eclipse中将tomcat启动. 原文地址:https://www.cnblogs.com/ldxsuanfa/p/10921979.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JBdAb4.html" rel="bookmark">Linux SSH端口更改和SSH远程连接服务慢原因排查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux SSH端口更改和优化 为什么需要更改SSH默认连接端口 Windows服务器的默认远程管理端口是3389,Linux服务器的默认端口是22.如果在公网上,经常会被工具扫,这是不安全的,为了系统安全,需要更改默认的配置. Linux 6 操作过程 更改配置文件 # cp /etc/ssh/sshd_config /etc/ssh/sshd_config.ori 更改配置前备份 # vi /etc/ssh/sshd_config 编辑sshd_config ####添加如下内容####			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wr6Db0.html" rel="bookmark">Java JDBC连接SQL Server2005错误：通过端口 1433 连接到主机 localhost 的 TCP&sol;IP 连接失败 及sql2008外围服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载:Java JDBC连接SQL Server2005错误:通过端口 1433 连接到主机 localhost 的 TCP/IP 连接失败 错误原因如下: Exception in thread &quot;main&quot; org.hibernate.exception.JDBCConnectionException: Cannot open connection at org.hibernate.exception.SQLStateConverter.convert(SQLStateConver			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmlvZP4.html" rel="bookmark">Java JDBC连接SQL Server2005错误：通过port 1433 连接到主机 localhost 的 TCP&sol;IP 连接失败</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				错误原因例如以下: Exception in thread &quot;main&quot; org.hibernate.exception.JDBCConnectionException: Cannot open connection at org.hibernate.exception.SQLStateConverter.convert(SQLStateConverter.java:99) at org.hibernate.exception.JDBCExceptionHelper.convert(J			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/138Gvl0.html" rel="bookmark" class="title">angular之控制器（0）</a>
					<div>
						一.控制器的含义 在angularJS中,controlle是一个javascript函数/类,用于操作作用域中,各个对象的初始状态以及相应的行为 二.控制器的作用 1. 控制 AngularJS 应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ZwnDM.html" rel="bookmark" class="title">ABP日志管理</a>
					<div>
						ABP日志管理 基于DDD的现代ASP.NET开发框架--ABP系列之8.ABP日志管理 ABP是“ASP.NET Boilerplate Project (ASP.NET样板项目)”的简称. ABP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDRkWw3.html" rel="bookmark" class="title">bestcoder&num;37&lowbar;1001 字符串，贪心</a>
					<div>
						bestcoder#37_1001 字符串,dfs Rikka with string Accepts: 395 Submissions: 2281 Time Limit: 2000/1000 MS  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412lVvM.html" rel="bookmark" class="title">js 返回上一页和刷新以及页面跳转</a>
					<div>
						1. Javascript 返回上一页history.go(-1), 返回两个页面: history.go(-2); 2. history.back(). 3. window.history.forw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZYV2Z0.html" rel="bookmark" class="title">2017 5月9日下午</a>
					<div>
						今天通过通信工程视频教学,学习了Linux 中file命令及其用法 在Windows PE,Linux ELF上有 文件系统 rootfs 根文件系统 FHS Linux 系统启动相关的文件 如内核, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388w9R3.html" rel="bookmark" class="title">LINUX总结第13篇：LINUX下动态库及版本号控制</a>
					<div>
						感觉讲得挺详细 注: ln 命令用法 ln –s 源文件 目标文件 (目标文件即为软链接文件) 可用ls -l查看软链接文件具体指向哪个文件 目录[-] 1. File libhello.c 2. F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ONQwo0.html" rel="bookmark" class="title">&lbrack;转&rsqb;关于胖客户端和瘦客户端的理解</a>
					<div>
						http://blog.sina.com.cn/s/blog_572390880100oo86.html C/S B/S的区别 你是不是说胖客户端相当于一个C/S结构,而瘦客户端相当于一个B/S结构呀 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5XwL3.html" rel="bookmark" class="title">check用户协议</a>
					<div>
						&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZXWn4.html" rel="bookmark" class="title">复杂的字符串数组解析</a>
					<div>
						&quot;[0,{&quot;id&quot;:563,&quot;name&quot;:&quot;测试题1&quot;,&quot;dscr&quot;:null,&quot;picId&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49eLBX4.html" rel="bookmark" class="title">MDT 2013 从入门到精通之MDT环境准备</a>
					<div>
						在准备服务端环境后,接着我们就可以来到客户端进行后续的操作,首先我们简单通过拓扑来了解一下第一章中我们提到的环境拓扑: MDT环境安装: 1.MDT服务端加域: 1.1.指定DNS服务器: 1.2.计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqnWl3.html" rel="bookmark" class="title">在linux中安装JDK，并设置环境变量：</a>
					<div>
						在linux中安装JDK,并设置环境变量: apt-get install open jdk-7-jdk vim /etc/profile 设置环境变量: null					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJJn13.html" rel="bookmark" class="title">pdoner version 0&period;1&period;0 release</a>
					<div>
						Optional functional pack prepared for fast php framework yaf / phalcon / swoole etc. Source:https:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBLB93.html" rel="bookmark" class="title">AngularJS Module类的方法</a>
					<div>
						AngularJS Module类的方法 AngularJS中的Module类负责定义应用如何启动,它还可以通过声明的方式定义应用中的各个片段.我们来看看它是如何实现这些功能的. 一.Main方法在哪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lNA1Z4.html" rel="bookmark" class="title">WPF中StringToImage和BoolToImage简单用法</a>
					<div>
						在WPF的绑定控件操作中,经常会通过bool值或者某些特定的string值做出相应动作.但UI层控件的很多属性对应的都不是Bool值或者对应的只是固定的String值. 这个时候有两方法解决该问题.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZ7KX3.html" rel="bookmark" class="title">未在本地计算机上注册&OpenCurlyDoubleQuote;Microsoft&period;Jet&period;OLEDB&period;4&period;0&rdquo;提供程序</a>
					<div>
						解决方法:未在本地计算机上注册“Microsoft.Jet.OLEDB.4.0”提供程序 在Windows 7(32位)用.Net开发的Excel导入数据表功能,测试后一切正常,站点发布挪到Windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38y1W24.html" rel="bookmark" class="title">关于Cocos2d-x中使用完Blink动作后精灵突然消失的问题的解决</a>
					<div>
						精灵使用Blink 执行完动作之后,消失不见了,原因是有可能出现精灵刚好到透明的那部分,所以最好在精灵执行完动作之后,让精灵setvisible显示出来. 解决方式: 格式1 Blink * hurt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xA77B3.html" rel="bookmark" class="title">作业系统开发的设计流程和工具流程</a>
					<div>
						以前听软件开发的老师讲的软件开发流程,也不是不以为然,只是觉得常规套路没太往心里去. 最近开始考虑开发的问题才意识到,学了这么多技术,de了这么久的bug最后拿到一个issue手还很生. 为什么要功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXJzW3.html" rel="bookmark" class="title">react-native run-android Starting&colon; Intent  Error type 3 Error&colon; Activity class does not exist</a>
					<div>
						使用&quot;react-native run-android&quot;命令运行android应用时,如果常常出现如下错误: Starting the app (/home/xxx/soft/sd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n799N3.html" rel="bookmark" class="title">js数组遍历some&comma;foreach&comma;map&comma;filter&comma;every对比</a>
					<div>
						1. [...].some(ck)函数       ----      某个一个为true,则为true 对数组中每个元素执行一次ck函数,知道某个元素返回true,则直接返回true.如果都返回fa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGY7Ky3.html" rel="bookmark" class="title">第五篇、二叉搜索树</a>
					<div>
						typedef struct node{ int num; struct node *left; struct node *right; }Node; typedef struct { Node *r ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
